<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>OCR SERVICE</title>
    <meta
      http-equiv="Content-Security-Policy"
      content="script-src 'self' 'unsafe-inline';"
    />
    <style>
      body {
        margin: 0;
        font-family: arial, sans-serif;
        padding: 10px;
      }

      .title {
        text-align: center;
      }

      .subtitle {
        margin: 8px 0;
      }

      .button-wrapper {
        text-align: center;
        margin: 30px 0;
      }

      .button-wrapper .button {
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        -webkit-transition-duration: 0.4s; /* Safari */
        transition-duration: 0.4s;
        margin: 0 8px;
      }

      .start-btn {
        background-color: #4caf50;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2),
          0 6px 20px 0 rgba(0, 0, 0, 0.19);
      }

      .stop-btn {
        background-color: #f44336;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2),
          0 6px 20px 0 rgba(0, 0, 0, 0.19);
      }

      .start-btn:disabled,
      .stop-btn:disabled {
        background-color: #dedede;
        cursor: default;
        box-shadow: none;
      }

      .log-wrapper {
        height: 300px;
        overflow: auto;
        background: #dedede;
      }

      ul#log-container {
        width: 100%;
        margin: 0;
        padding: 0;
      }

      ul#log-container li {
        list-style: none;
        margin: 0;
        padding: 8px;
        display: block;
      }

      ul#log-container li:nth-child(odd) {
        background: #efefef;
      }

      ul#log-container li:nth-child(even) {
        background: #fff;
      }
    </style>
  </head>
  <body>
    <h1 class="title">OCR Service</h1>

    <div class="button-wrapper">
      <button class="button start-btn" id="start">START</button>
      <button class="button stop-btn" id="stop" disabled>STOP</button>
    </div>

    <h4 class="subtitle">Logs: <span class="active-path" id="active-path"></span></h4>
    <div class="log-wrapper">
      <ul id="log-container"></ul>
    </div>

    <!-- Adding Individual Renderer Process JS File -->
    <script src="index.js"></script>
  </body>
</html>
